
/* ==============================================================
Bootstrap tweaks
===============================================================*/

body, h1, h2, h3, h4 {
    font-weight: 300;
}

/* ==========================================================================
Browser Upgrade Prompt
========================================================================== */
.browserupgrade {
    margin: 0.2em 0;
    background: #ccc;
    color: #000;
    padding: 0.2em 0;
}

/* ==========================================================================
Generic styles
========================================================================== */

/* other generic styles */

.jh-card {
    padding: 1.5% 0;
    margin-top: 20px;
    border: none;
}

.error {
    color: white;
    background-color: red;
}

.pad {
    padding: 10px;
}

.w-40 {
    width: 40% !important;
}

.w-60 {
    width: 60% !important;
}

.break {
    white-space: normal;
    word-break:break-all;
}

.readonly {
    background-color: #eee;
    opacity: 1;
}

.footer {
    border-top: 1px solid rgba(0,0,0,.125);
}

/* ==========================================================================
make sure browsers use the pointer cursor for anchors, even with no href
========================================================================== */
a:hover {
  cursor: pointer;
}

.hand, [jhisortby] {
    cursor: pointer;
}

/* ==========================================================================
Custom alerts for notification
========================================================================== */
.alerts {
    .alert {
        text-overflow: ellipsis;
        pre{
            background: none;
            border: none;
            font: inherit;
            color: inherit;
            padding: 0;
            margin: 0;
        }
        .popover pre {
            font-size: 10px;
        }
    }
    .toast {
        position: fixed;
        width: 100%;
        &.left {
            left: 5px;
        }
        &.right {
            right: 5px;
        }
        &.top {
            top: 55px;
        }
        &.bottom {
            bottom: 55px;
        }
    }
}

@media screen and (min-width: 480px) {
    .alerts .toast {
        width: 50%;
    }
}

/* ==========================================================================
entity tables helpers
========================================================================== */

/* Remove Bootstrap padding from the element
   http://stackoverflow.com/questions/19562903/remove-padding-from-columns-in-bootstrap-3 */
@mixin no-padding($side) {
    @if $side == 'all' {
        .no-padding {
            padding: 0 !important;
        }
    } @else {
        .no-padding-#{$side} {
            padding-#{$side}: 0 !important;
        }
    }
}
@include no-padding("left");
@include no-padding("right");
@include no-padding("top");
@include no-padding("bottom");
@include no-padding("all");

/* bootstrap 3 input-group 100% width
   http://stackoverflow.com/questions/23436430/bootstrap-3-input-group-100-width */
.width-min { width: 1% !important; }

/* Makes toolbar not wrap on smaller screens
   http://www.sketchingwithcss.com/samplechapter/cheatsheet.html#right */
.flex-btn-group-container {
   display: -webkit-flex;
   display: flex;
   -webkit-flex-direction: row;
   flex-direction: row;
   -webkit-justify-content: flex-end;
   justify-content: flex-end;
}

/* ==========================================================================
entity detail page css
========================================================================== */
.row.jh-entity-details > {
    dd {
        margin-bottom: 15px;
    }
}

@media screen and (min-width: 768px) {
    .row.jh-entity-details > {
        dt {
            margin-bottom: 15px;
        }
        dd {
            border-bottom: 1px solid #eee;
            padding-left: 180px;
            margin-left: 0;
        }
    }
}

/* ==========================================================================
ui bootstrap tweaks
========================================================================== */
.nav, .pagination, .carousel, .panel-title a {
    cursor: pointer;
}

.datetime-picker-dropdown > li.date-picker-menu div > table .btn-default,
.uib-datepicker-popup  > li > div.uib-datepicker > table .btn-default {
    border: 0;
}

.datetime-picker-dropdown > li.date-picker-menu div > table:focus,
.uib-datepicker-popup  > li > div.uib-datepicker > table:focus {
    outline: none;
}


/* jhipster-needle-scss-add-main JHipster will add new css style */
@import "~ngx-toastr/toastr";
@import '~intl-tel-input/build/css/intlTelInput.css'
